Commit af0c01ac authored by Jakub Jirutka's avatar Jakub Jirutka

[various] rename dependency python-dev to python2-dev

parent 2480e9ea
......@@ -11,7 +11,7 @@ depends=""
depends_dev=""
makedepends="$depends_dev libtool libintl libpcap-dev lzo-dev \
sqlite-dev postgresql-dev libressl-dev mariadb-dev acl-dev \
qt-dev python-dev readline-dev ncurses-dev jansson-dev"
qt-dev python2-dev readline-dev ncurses-dev jansson-dev"
install="$pkgname.pre-install $pkgname.post-install"
subpackages="$pkgname-dev $pkgname-doc $pkgname-trayicon"
pkgusers="bareos"
......
......@@ -11,7 +11,7 @@ license="MIT"
depends="python py-mutagen py-unidecode py-musicbrainzngs py-munkres
py-setuptools py-enum34 py-yaml py-jellyfish"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://github.com/sampsyo/beets/releases/download/v$pkgver/beets-$pkgver.tar.gz"
......
......@@ -7,7 +7,7 @@ url="http://bazaar.canonical.com/"
arch="all"
license="GPL2+"
depends="python"
makedepends="python-dev"
makedepends="python2-dev"
subpackages="$pkgname-doc"
source="http://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz"
......
......@@ -32,7 +32,7 @@ subpackages="$pkgname-dbg $pkgname-dev $pkgname-doc $pkgname-lang
makedepends="gtk+-dev libressl-dev startup-notification-dev enchant-dev
libgcrypt-dev libsm-dev gnutls-dev curl-dev dbus-glib-dev
libetpan-dev openldap-dev gpgme-dev libsoup-dev perl-dev
poppler-dev python-dev py-gtk-dev libarchive-dev libnotify-dev
poppler-dev python2-dev py-gtk-dev libarchive-dev libnotify-dev
pinentry-gtk spamassassin
"
depends="aspell-en"
......
......@@ -10,7 +10,7 @@ arch="noarch"
license="GPL"
depends="python py-gobject dbus py-dbus lvm2 drbd-utils>=8.9.6"
depends_dev=""
makedepends="python-dev libxslt docbook-xsl help2man"
makedepends="python2-dev libxslt docbook-xsl help2man"
install=""
subpackages="$pkgname-doc"
source="http://oss.linbit.com/$_usname/$_usname-$pkgver.tar.gz
......
......@@ -10,7 +10,7 @@ url="http://nicolargo.github.com/glances/"
arch="noarch"
license="LGPL3+"
depends="py-psutil py-bottle py-snmp py-batinfo docker-py"
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
subpackages="$pkgname-doc"
source="glances-$pkgver.tar.gz::https://github.com/nicolargo/glances/archive/v$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ url="http://libguestfs.org"
arch="all"
license="LGPL2.1"
depends=""
makedepends="python-dev libxml2-dev readline-dev perl"
makedepends="python2-dev libxml2-dev readline-dev perl"
subpackages="$pkgname-dev $pkgname-doc"
source="http://libguestfs.org/download/$pkgname/$pkgname-$pkgver.tar.gz"
builddir="$srcdir/$pkgname-$pkgver"
......
......@@ -20,7 +20,7 @@ depends_dev="gettext-dev boost-dev mesa-dev glew-dev glu-dev mariadb-dev
yasm-dev libmpeg2-dev libmad-dev libsamplerate-dev rtmpdump-dev
libjpeg-turbo-dev eudev-dev libcap-dev udisks2-dev faac-dev gnutls-dev
libxslt-dev libplist-dev libshairport-dev ffmpeg2.8-dev afpfs-ng-dev
libcec-dev x264-dev bsd-compat-headers curl-dev python-dev dcadec-dev"
libcec-dev x264-dev bsd-compat-headers curl-dev python2-dev dcadec-dev"
makedepends="$depends_dev automake autoconf m4 libtool swig findutils
openjdk8-jre-base boost-thread zip gperf cmake coreutils nasm tar
git"
......
......@@ -8,7 +8,7 @@ arch="all"
license="GPL2 LGPL2.1"
depends=""
depends_dev="libxml2-dev glib-dev"
makedepends="swig python-dev $depends_dev cython-dev python cython"
makedepends="swig python2-dev $depends_dev cython-dev python cython"
subpackages="$pkgname-dev py-$pkgname:py $pkgname-util $pkgname++:cxx"
source="http://www.libimobiledevice.org/downloads/libplist-$pkgver.tar.bz2"
......
......@@ -9,7 +9,7 @@ arch="all"
license="LGPL2.1"
depends_dev=""
makedepends="$depends_dev autoconf automake libtool libnl3-dev libdaemon-dev jansson-dev dbus-dev
linux-headers bsd-compat-headers doxygen swig python-dev python3-dev"
linux-headers bsd-compat-headers doxygen swig python2-dev python3-dev"
subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
source="$pkgname-$pkgver.tar.gz::https://github.com/jpirko/$pkgname/archive/v$pkgver.tar.gz
fix-fd_set.patch
......
......@@ -8,7 +8,7 @@ arch="all"
license="LGPLv2+"
depends=""
depends_dev="glib-dev libxml2-dev libvirt-dev"
makedepends="$depends_dev intltool gobject-introspection-dev python-dev
makedepends="$depends_dev intltool gobject-introspection-dev python2-dev
vala sed"
install=""
subpackages="$pkgname-dev $pkgname-doc py-$pkgname:_py"
......
......@@ -27,7 +27,7 @@ makedepends="
paxmark
py-sphinx
python
python-dev
python2-dev
zlib-dev
"
subpackages="$pkgname-static $pkgname-libs $pkgname-dev"
......
......@@ -11,7 +11,7 @@ arch="noarch"
license="GPL v2"
depends="python"
depends_dev=""
makedepends="python-dev"
makedepends="python2-dev"
#subpackages="$pkgname-doc"
source="$_pkgname-$_ver.tar.gz::https://github.com/nbs-system/naxsi/archive/${_ver}.tar.gz
fix-config-location.patch
......
......@@ -9,7 +9,7 @@ arch="all"
license="GPL3+"
depends="python py-larch py-paramiko py-fuse py-enum34 py-six py-asn1-modules"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages="$pkgname-doc"
source="http://code.liw.fi/debian/pool/main/o/$pkgname/${pkgname}_$pkgver.orig.tar.xz"
......
......@@ -10,7 +10,7 @@ arch="noarch"
license="LGPL3+"
depends="python"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
......
......@@ -7,7 +7,7 @@ pkgdesc="Python library for reading and writing of configuration files (ini)"
url="https://github.com/DiffSK/configobj"
arch="noarch"
license="BSD"
makedepends="$depends_dev python-dev python3-dev py-setuptools"
makedepends="$depends_dev python2-dev python3-dev py-setuptools"
install=
subpackages="py3-$_realname:_py3 py2-$_realname:_py2"
source="$pkgname-$pkgver.tar.gz::https://github.com/DiffSK/configobj/archive/v$pkgver.tar.gz"
......
......@@ -9,7 +9,7 @@ url="https://pypi.python.org/pypi/crcmod/"
arch="all"
license="MIT"
depends="python"
makedepends="python-dev"
makedepends="python2-dev"
source="https://files.pythonhosted.org/packages/source/c/$_pkgname/$_pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$_pkgname-$pkgver
......
......@@ -8,7 +8,7 @@ url="http://launchpad.net/python-distutils-extra"
arch="noarch"
license="GPL"
depends="py-setuptools"
makedepends="python-dev"
makedepends="python2-dev"
install=""
source="http://launchpad.net/python-distutils-extra/trunk/$pkgver/+download/python-distutils-extra-$pkgver.tar.gz"
_builddir="$srcdir"/python-distutils-extra-$pkgver
......
......@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ url="http://www.ohloh.net/p/python-ethtool"
arch="all"
license="GPL2"
depends=
depends_dev="libnl-dev pkgconfig python-dev"
depends_dev="libnl-dev pkgconfig python2-dev"
makedepends="linux-headers $depends_dev"
install=
subpackages=
......
......@@ -9,7 +9,7 @@ url="http://python-future.org/"
arch="noarch"
license="MIT"
depends=""
makedepends="python-dev python3-dev py-setuptools"
makedepends="python2-dev python3-dev py-setuptools"
install=""
subpackages="py3-${_pkgname/python-/}:_py3 py2-${_pkgname/python-/}:_py2"
source="$pkgname-$pkgver.tar.gz::https://github.com/PythonCharmers/$_pkgname/archive/v$pkgver.tar.gz
......
......@@ -10,7 +10,7 @@ arch="armhf"
license="BSD-3"
depends="python"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="$_pkgname-$pkgver.tar.gz::https://github.com/RPi-Distro/${_pkgname}/archive/v${pkgver}.tar.gz"
......
......@@ -10,7 +10,7 @@ arch="all"
license="BSD"
depends="python"
depends_dev=""
makedepends="python-dev graphviz-dev"
makedepends="python2-dev graphviz-dev"
install=""
subpackages="$pkgname-doc"
source="https://github.com/pygraphviz/pygraphviz/archive/pygraphviz-$_ver.tar.gz"
......
......@@ -10,7 +10,7 @@ arch="all"
license="LGPL2.1"
depends=""
depends_dev=""
makedepends="$depends_dev python-dev py-setuptools
makedepends="$depends_dev python2-dev py-setuptools
py-gtk-dev gtkglext-dev"
install=""
subpackages="$pkgname-dev"
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends=""
depends_dev=""
makedepends="$depends_dev python-dev py-setuptools"
makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="jellyfish-$pkgver.tar.gz::https://github.com/jamesturk/jellyfish/archive/$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ url="https://github.com/joshmarshall/jsonrpclib"
arch="noarch"
license="APACHE2.0"
depends=""
makedepends="python-dev py-setuptools python3-dev"
makedepends="python2-dev py-setuptools python3-dev"
install=""
subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
source="$pkgname-$pkgver.tar.gz::https://github.com/joshmarshall/${pkgname/py-/}/archive/v$pkgver.tar.gz"
......
......@@ -9,7 +9,7 @@ url="http://numpy.scipy.org/"
arch="all"
license="BSD"
depends="gfortran"
depends_dev="python-dev openblas-dev py-setuptools py-nose cython-dev py-numpy"
depends_dev="python2-dev openblas-dev py-setuptools py-nose cython-dev py-numpy"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev $pkgname-doc"
......
......@@ -9,7 +9,7 @@ url="https://github.com/gorakhargosh/pathtools"
arch="noarch"
license="MIT"
depends=""
makedepends="py-setuptools python-dev"
makedepends="py-setuptools python2-dev"
source="$pkgname-$pkgver.tar.gz::https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
......
......@@ -10,7 +10,7 @@ arch="all"
license="GPL3"
depends="python cython"
depends_dev=""
makedepends="$depends_dev py-setuptools cython-dev python-dev"
makedepends="$depends_dev py-setuptools cython-dev python2-dev"
install=""
subpackages=""
source="$pkgname-$pkgver.tar.gz::https://github.com/aresch/rencode/archive/v$pkgver.tar.gz"
......
......@@ -9,7 +9,7 @@ url="https://pypi.python.org/pypi/RPi.GPIO"
arch="armhf"
license="MIT"
depends="python"
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
source="$pkgname-$pkgver.tar.gz::https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
......
......@@ -10,7 +10,7 @@ arch="armhf"
license="BSD-3"
depends="python"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="$_pkgname-$pkgver.tar.gz::https://github.com/RPi-Distro/${_pkgname}/archive/v${pkgver}.tar.gz"
......
......@@ -10,7 +10,7 @@ arch="all"
license="custom:sip"
depends=""
depends_dev=""
makedepends="python-dev"
makedepends="python2-dev"
install=""
subpackages="$pkgname-dev"
source="http://sourceforge.net/projects/pyqt/files/sip/sip-$pkgver/sip-$pkgver.tar.gz"
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
makedepends="python-dev"
makedepends="python2-dev"
install=""
subpackages=""
source="${pkgname}-${pkgver}.tar.gz::https://github.com/pimoroni/${pkgname#py-}/archive/v${pkgver}.tar.gz"
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="py-argh py-livereload py-pathtools py-yaml py-sphinx py-tornado py-watchdog"
depends_dev=""
makedepends="$depends_dev python-dev"
makedepends="$depends_dev python2-dev"
install=""
subpackages=""
source="sphinx-autobuild-$pkgver.tar.gz::https://github.com/GaretJax/sphinx-autobuild/archive/v$pkgver.tar.gz"
......
......@@ -7,7 +7,7 @@ url="http://pyudev.readthedocs.org"
arch="noarch"
license="LGPLv2.1"
depends="python eudev"
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="py-udev-$pkgver.tar.gz::https://github.com/pyudev/pyudev/archive/v$pkgver.tar.gz"
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="Apache 2.0"
depends="py-pathtools py-yaml py-argh"
depends_dev=""
makedepends="$depends_dev py-setuptools python-dev"
makedepends="$depends_dev py-setuptools python2-dev"
install=""
subpackages=""
source="watchdog-$pkgver.tar.gz::https://github.com/gorakhargosh/watchdog/archive/v$pkgver.tar.gz"
......
......@@ -10,7 +10,7 @@ arch="noarch"
license="ZPL2+"
depends="python"
depends_dev=""
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="GPL v2"
depends="python py-zope-interface py-twisted py-gtk py-imaging py-graphviz"
depends_dev=""
makedepends="python-dev gettext"
makedepends="python2-dev gettext"
subpackages="$pkgname-lang"
source="https://launchpad.net/virtualbrick/1.x/$pkgver/+download/$pkgname-$pkgver.tar.gz"
......
......@@ -14,7 +14,7 @@ makedepends="automake autoconf libtool bash
perl-dev
lua5.2-dev
${_php}-dev ${_php}-cli
python-dev py-sphinx-autobuild
python2-dev py-sphinx-autobuild
ruby-dev ruby ruby-rdoc ruby-irb
tcl-dev"
subpackages="$pkgname-perl $pkgname-lua $pkgname-doc
......
......@@ -9,7 +9,7 @@ arch="all"
license="GPLv2+"
depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap xorg-server
py-numpy py-pillow py-gtkglext py-lz4 py-rencode py-opencl"
depends_dev="python-dev cython-dev libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev
depends_dev="python2-dev cython-dev libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev
libxrandr-dev py-gobject-dev py-gtk-dev libxkbfile-dev gtk+2.0-dev x264-dev
x265-dev libvpx-dev ffmpeg-dev libwebp-dev"
makedepends="$depends_dev cython linux-headers"
......
......@@ -9,7 +9,7 @@ url="http://ansible.com"
arch="noarch"
license="GPL3+"
depends="python py-yaml py-paramiko py-jinja2 py-markupsafe"
makedepends="python-dev py-setuptools"
makedepends="python2-dev py-setuptools"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::http://releases.ansible.com/ansible/$pkgname-$pkgver.tar.gz"
......
......@@ -10,7 +10,7 @@ arch="all"
license="ASL 2.0"
depends="apache2 python"
depends_dev=
makedepends="$depends_dev apache2-dev python-dev"
makedepends="$depends_dev apache2-dev python2-dev"
install=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/GrahamDumpleton/mod_wsgi/archive/$pkgver.tar.gz
......
......@@ -9,7 +9,7 @@ arch="noarch"
license="GPL2"
depends="py-twisted py-simplejson py-openssl py-zope-interface"
depends_dev=""
makedepends="$depends_dev python-dev"
makedepends="$depends_dev python2-dev"
install="$pkgname.post-install $pkgname.pre-install"
subpackages=""
source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz
......
......@@ -9,7 +9,7 @@ arch="all"
license="GPL"
depends=""
depends_dev=""
makedepends="libtool libxml2-dev python-dev gtk+3.0-dev enchant-dev \
makedepends="libtool libxml2-dev python2-dev gtk+3.0-dev enchant-dev \
gucharmap-dev"
install=""
subpackages="$pkgname-lang $pkgname-doc"
......
......@@ -8,7 +8,7 @@ url="http://collectd.org"
arch="all"
license="GPL2"
depends=""
makedepends="curl-dev net-snmp-dev postgresql-dev perl-dev python-dev
makedepends="curl-dev net-snmp-dev postgresql-dev perl-dev python2-dev
libgcrypt-dev mariadb-dev zlib-dev libressl-dev iptables-dev
rrdtool-dev yajl-dev libvirt-dev lm_sensors-dev libxml2-dev
hiredis-dev
......
......@@ -8,7 +8,7 @@ url="http://cython.org"
arch="all"
license="Apache 2.0"
depends=""
depends_dev="python-dev py-pgen cython"
depends_dev="python2-dev py-pgen cython"
makedepends="$depends_dev"
subpackages="$pkgname-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/cython/cython/archive/$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ url="http://distcc.org"
arch="all"
license="GPL2"
depends=""
makedepends="popt-dev python-dev"
makedepends="popt-dev python2-dev"
install="$pkgname.pre-install"
source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.bz2
distcc-3.1-clone.patch
......